Bug Hunting Session
Bug 63821 - Help Balloon Tips Hide Menu Options
Summary: Help Balloon Tips Hide Menu Options
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86 (IA32) All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu UX
  Show dependency treegraph
 
Reported: 2013-04-23 00:27 UTC by herronjames
Modified: 2019-05-04 22:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Help Balloon Hides Menu Options (57.57 KB, image/jpeg)
2013-04-23 00:27 UTC, herronjames
Details
Help Balloon Hides Menu Options1 (45.35 KB, image/jpeg)
2013-04-23 00:29 UTC, herronjames
Details

Note You need to log in before you can comment on or make changes to this bug.
Description herronjames 2013-04-23 00:27:15 UTC
Created attachment 78349 [details]
Help Balloon Hides Menu Options

When you hover over a menu bar item and pause the help tip balloon(s)pops up with a descriptor for the specific menu option. The help pop up blocks the menu and/or sub-menu options so that they cannot be seen. This makes navigation cumbersome if you are simply looking for a menu option and may be unsure under which menu option the item you are looking for is. This help should (ideally) be slightly offset so as not to overlay/hide menu items in the drop-down. e.g. in Calc. Selecting 'Format' the help balloon pops up with a description of the 'Format' option and obscures the first four menu items below it with the help text "The Format menu contains options for formatting..." etc and hides the 'Clear Direct Formatting','Cells','Row','Column' options. The position where the help balloon appears appears to be mouse position sensitive i.e. with some options you can make the help balloon appear to the right of the menu option by careful (very careful) positioning of the mouse to the extreme right of a sub-menu item. However, it is not possible with primary menus to truly position the mouse and can be tricky with a sensitive mouse.
Comment 1 herronjames 2013-04-23 00:29:08 UTC
Created attachment 78350 [details]
Help Balloon Hides Menu Options1
Comment 2 bfoman (inactive) 2013-06-26 12:09:51 UTC
Please recheck that attached screenshots represent the problem you are reporting. On both I can't see anything wrong.
Comment 3 herronjames 2013-06-26 17:57:50 UTC
This is something I reported long ago and you have not attached the screenshots in return. Which product is this referring to? IF it is LibreOffice Writer then there IS a problem with this still. What is difficult to do is to grab this screen. As a simple example, when you are in Writer and hover over 'Insert' the balloon tip hides the menu options. If you then go to other sub-folders there is a similar issue which is further exacerbated by the top menu not disappearing. Another is when the mouse is over 'Table' options; the first few options are not displayed until you move the cursor off the word 'Table'... at this point the Balloon Tip vanishes.i.e. you cannot hover over a menu item column and see all of the options OR, on a sub-menu, there are many instances where all of the sub-menu options are hidden by the balloon tip.
 
Best regards,


James

 -----Original Message-----
From: "" [bugzilla-daemon@freedesktop.org]
Date: 06/26/2013 08:09
To: "" 
Subject: [Bug 63821] Help Balloon Tips Hide Menu Options

     bfoman  changed bug 63821
WhatRemovedAddedCC bfo.bugmail@spamgourmet.com

Comment # 2 on bug 63821 from  bfoman Please recheck that attached screenshots represent the problem you are reporting. On both I can't see anything wrong.
You are receiving this mail because:You reported the bug.
Comment 4 bfoman (inactive) 2013-06-26 22:07:40 UTC
(In reply to comment #3)
> This is something I reported long ago and you have not attached the
> screenshots in return. Which product is this referring to? 

Direct link is always placed in every bugmail - please click https://bugs.freedesktop.org/show_bug.cgi?id=63821 to view the original report.

Please do not respond by e-mail - simply add a comment to bug report.

You can use Xview to grab screenshots with a system cursor.
Comment 5 bfoman (inactive) 2013-06-26 22:10:57 UTC
(In reply to comment #4)
> You can use Xview to grab screenshots with a system cursor.

I am sorry - missed one letter - http://www.xnview.com/en/index.php
Comment 6 retired 2013-07-03 14:02:20 UTC
This bug is a little messy. Removing the screenshots since they do not display anything bug related.

About the "Bug" itself: I don't think it's a bug but an enhancement request.

On OS X 10.8.4, LO 4.1.0.1 I notice that the tool tips appear a little fast. Slowing down the time required for a tool tip to be displayed	could provide a better User Experience, since currently the tool tips pop up right away and make the navigation in the tool bar a rather annoying experience.

An alternative could be to provide an option in the settings to disable the tool tips altogether although personally I'd favor the first solution.

Setting to NEW. Changing to Enhancement.
Comment 7 bfoman (inactive) 2013-07-03 14:09:20 UTC
(In reply to comment #6)
> An alternative could be to provide an option in the settings to disable the
> tool tips altogether although personally I'd favor the first solution.

It is already available in Tools>Options>LibreOffice>General>Help>Tips.
Comment 8 Roeland 2017-05-09 14:08:48 UTC
I checked but this problem doesn't seem to exist anymore. There's also no such option as mentioned in comment 7 anymore. So I think this can be closed as Resolved Worksforme
Comment 9 Thomas Lendo 2019-05-04 22:28:23 UTC
I also can't reproduce the issue with LibreOffice 6.3 (daily master branch).

Therefore I close it with RESOLVED WORKSFORME.

If you still see this issue, please reopen as NEW.